Package org.jCharts.properties

# Class AreaProperties

java.lang.Object
org.jCharts.properties.Properties
org.jCharts.properties.AreaProperties

All Implemented Interfaces:
  `Serializable`, `HTMLTestable`

Direct Known Subclasses:
  `ChartProperties`, `LegendAreaProperties`

public class AreaProperties extends Properties implements HTMLTestable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private ChartStroke`
`borderStroke`
`private float`
`edgePadding`

### Fields inherited from class org.jCharts.properties.Properties

`DEFAULT_BACKGROUND_PAINT`

## Constructor Summary

Constructors
Constructor
Description
`AreaProperties()`

## Method Summary

Modifier and Type
Method
Description
`ChartStroke`
`getBorderStroke()`
Returns the border Stroke
`float`
`getEdgePadding()`
Returns the number of pixels to pad the edges of the image
`void`
`setBorderStroke(ChartStroke chartStroke)`
Sets the border Stroke.
`void`
`setEdgePadding(float edgePadding)`
Sets the number of pixels to pad the edges of the image
`void`
`toHTML(HTMLGenerator htmlGenerator)`
Enables the testing routines to display the contents of this Object.

### Methods inherited from class org.jCharts.properties.Properties

`getBackgroundPaint, setBackgroundPaint`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### edgePadding

private float edgePadding

### borderStroke

private ChartStroke borderStroke

## Constructor Details

### AreaProperties

public AreaProperties()

## Method Details

### getEdgePadding

public float getEdgePadding()
Returns the number of pixels to pad the edges of the image

Returns:
  float

### setEdgePadding

public void setEdgePadding(float edgePadding)
Sets the number of pixels to pad the edges of the image

Parameters:
  `edgePadding` -

### setBorderStroke

public void setBorderStroke(ChartStroke chartStroke)
Sets the border Stroke. If NULL is passed, there will be no border.

Parameters:
  `chartStroke` -

### getBorderStroke

public ChartStroke getBorderStroke()
Returns the border Stroke

Returns:
  ChartStroke

### toHTML

public void toHTML(HTMLGenerator htmlGenerator)
Enables the testing routines to display the contents of this Object.

Specified by:
  `toHTML` in interface `HTMLTestable`
Overrides:
  `toHTML` in class `Properties`
Parameters:
  `htmlGenerator` -